import java.util.*;

public class Cat extends Pet {
	
	private boolean allergic;

	public Cat(){
		
	}
	public Cat(int petId, String name, double weight, Date dob, double accumulatedDose, boolean allergic){
		super(petId, name, weight, dob, accumulatedDose);
		this.allergic = allergic;
	}
//Setter
	public void setAllergic(boolean allergic){
		this.allergic = allergic;
	}

//Getter
	public boolean getAllergic(){
		return this.allergic;
	}

	public double getDose(){
		if ( getAccumulatedDose() > 500) {
			return 0;
		
		// }else if(getAllergic() == true){
		// 	return 0;
		// }else if( findAge() >3 && weight > 0.5){
		// 	return 7+0.61* getWeight();
		}else{
			return 0.81 * getWeight();
		}
	}

	public String toString(){
		return  "petID=" + getPetId() +
                ", name='" + getName() + '\'' +
                ", weight=" + getWeight() +
                // ", dob=" + VetClinicConsole.dateToStr(getDob()) +
                // ", accumulatedDose=" + getAccumulatedDose() +
                ",allergic='" + allergic + '\'';
	}

}